Browser Pickers

Pickers are available for Firefox (version 4.0 and later), Internet Explorer (version 9 and later), and Google Chrome. Your browser must have JavaScript enabled.

The Pickers are automatically installed when you install Citavi.

Copying and saving

Searching and retrieving